%define testname lintian
%define lintianver 1.23.48

Name: repocop-unittest-lintian-noncollectors
Version: 0.11.%lintianver
Release: alt2
BuildArch: noarch
Packager: Igor Vlasenko <viy@altlinux.ru>

Summary: port of lintian intergration tests for repocop test platform.
Group: Development/Other
License: GPLv2+

Source: %name-%version.tar

%description
Lintian is Debian package checker.
Lintian dissects Debian packages and reports bugs and policy violations. It contains automated checks for many aspects of Debian policy as well as some checks for common errors.
This package contains ports to repocop of the following lintian tests:
aspell-package-not-arch-all
backup-file-in-package
bad-permissions-for-ali-file
desktop-file-in-wrong-dir
executable-manpage
macos-ds-store-file-in-package
macos-resource-fork-file-in-package
old-app-defaults-directory
package-installs-file-to-usr-x11r6
subdir-in-usr-bin
symkink-extra-slash
windows-thumbnail-database-in-package


%prep
%setup

%build

%install

for i in *.done; do
    testname=`echo $i | sed -e s,.done\$,,`
    install -pD -m 755 $testname.done %buildroot%_datadir/repocop/pkgtests/$testname/done
done

for i in *.pl; do
    install -pD -m 644 $i %buildroot%_datadir/repocop/fixscripts/$i
done

%files
%_datadir/repocop/pkgtests/*
%_datadir/repocop/fixscripts/*

%changelog
* Sun Nov 23 2008 Igor Vlasenko <viy@altlinux.ru> 0.11.1.23.48-alt2
- removed bad-permissions-for-ali-file

* Sat Nov 15 2008 Igor Vlasenko <viy@altlinux.ru> 0.11.1.23.48-alt1
- quiet patch generators

* Sat Nov 15 2008 Igor Vlasenko <viy@altlinux.ru> 0.10.1.23.48-alt9
- added macos-resource-fork-file-in-package patch generator 

* Sat Nov 15 2008 Igor Vlasenko <viy@altlinux.ru> 0.10.1.23.48-alt8
- removed duplicate finds in diffs

* Mon Nov 03 2008 Igor Vlasenko <viy@altlinux.ru> 0.10.1.23.48-alt7
- added patch generator for pkg-contains-cvs-or-svn-control-dir

* Mon Nov 03 2008 Igor Vlasenko <viy@altlinux.ru> 0.10.1.23.48-alt6
- fixed patch generators

* Sun Nov 02 2008 Igor Vlasenko <viy@altlinux.ru> 0.10.1.23.48-alt5
- added patch generators for bugs present in current Sisyphus

* Sun Aug 03 2008 Igor Vlasenko <viy@altlinux.ru> 0.10.1.23.48-alt4.1
- bugfix

* Fri Aug 01 2008 Igor Vlasenko <viy@altlinux.ru> 0.10.1.23.48-alt4
- arch-dep-package-has-big-usr-share also reports completely noarch
  packages (at@' suggest)

* Wed Jul 02 2008 Igor Vlasenko <viy@altlinux.ru> 0.10.1.23.48-alt3
- enabled arch-dep-package-has-big-usr-share.done 
  (for at@' noarch, experimental level)
- fixed bug in macos-ds-store-file-in-package

* Sat Jun 07 2008 Igor Vlasenko <viy@altlinux.ru> 0.10.1.23.48-alt2
- new tests:
  + file-in-usr-marked-as-conffile
  + install-info-not-called
  + uninstall-info-not-called
  modified: macos-ds-store-file-in-package

* Tue May 13 2008 Igor Vlasenko <viy@altlinux.ru> 0.10.1.23.48-alt1
- added more tests

* Mon May 05 2008 Igor Vlasenko <viy@altlinux.ru> 0.01.1.23.48-alt1
- initial version
